@import "common/var";
@import "mixins/mixins";
@import "mixins/utils";

@include b(row) {
	
	@include size(100%);
	@include flex(flex, row, wrap);
	justify-content: space-between;
	position: relative;
	@include utils-clearfix;
	
	@include m(flex) {
		display: flex;
		
		@include when(justify-center) {
			justify-content: center;
		}
		@include when(justify-end) {
			justify-content: flex-end;
		}
		@include when(justify-space-between) {
			justify-content: space-between;
		}
		@include when(justify-space-around) {
			justify-content: space-around;
		}
		
		@include when(align-middle) {
			align-items: center;
		}
		@include when(align-bottom) {
			align-items: flex-end;
		}
	}
	
}
